import { type GenerateOptions } from './generate.js';
export interface Config extends GenerateOptions {
    /**
     * Schema files
     */
    input: string[] | string;
    /**
     * Output directory
     */
    output: string;
    /**
     * tag: Generate a page for each tag
     * file: Generate a page for each schema
     * operation: Generate a page for each API endpoint/operation
     *
     * @defaultValue 'operation'
     */
    per?: 'tag' | 'file' | 'operation';
    /**
     * Specify name for output file
     */
    name?: (type: 'file' | 'tag', name: string) => string;
    /**
     * Group output using folders (Only works on `operation` mode)
     *
     * @deprecated Use `groupBy` instead
     * @defaultValue false
     */
    groupByFolder?: boolean;
    /**
     * Group output using folders (Only works on `operation` mode)
     *
     * @defaultValue 'none'
     */
    groupBy?: 'tag' | 'route' | 'none';
}
export declare function generateFiles(options: Config): Promise<void>;
//# sourceMappingURL=generate-file.d.ts.map