import { rehypeCode, remarkGfm, remarkImage, } from 'fumadocs-core/mdx-plugins';
import defaultMdxComponents from 'fumadocs-ui/mdx';
import { remark } from 'remark';
import remarkRehype from 'remark-rehype';
import { toJsxRuntime } from 'hast-util-to-jsx-runtime';
import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
const processor = remark()
    .use(remarkGfm)
    .use(remarkImage, { useImport: false })
    .use(remarkRehype)
    .use(rehypeCode, {
    langs: [],
    lazy: true,
});
export async function Markdown({ text, }) {
    const nodes = processor.parse({ value: text });
    const hast = await processor.run(nodes);
    return toJsxRuntime(hast, {
        development: false,
        jsx: jsx,
        jsxs: jsxs,
        Fragment,
        components: defaultMdxComponents,
    });
}
