export function getSecurities(requirement, document) {
    const results = [];
    const schemas = document.components?.securitySchemes ?? {};
    for (const [key, scopes] of Object.entries(requirement)) {
        if (!(key in schemas))
            throw new Error(`Security scheme with name ${key} is not found, make sure to define referenced schemes.`);
        const schema = schemas[key];
        results.push({
            ...schema,
            scopes,
        });
    }
    return results;
}
export function getSecurityPrefix(security) {
    if (security.type === 'http')
        return {
            basic: 'Basic',
            bearer: 'Bearer',
        }[security.scheme];
    if (security.type === 'oauth2')
        return 'Bearer';
}
