export function getPreferredType(body) {
    if ('application/json' in body)
        return 'application/json';
    return Object.keys(body)[0];
}
export function isNullable(schema, includeOneOf = true) {
    if (typeof schema === 'boolean')
        return false;
    if (Array.isArray(schema.type) && schema.type.includes('null'))
        return true;
    if (includeOneOf && (schema.anyOf || schema.oneOf)) {
        if (schema.anyOf?.some((item) => isNullable(item)))
            return true;
        if (schema.oneOf?.some((item) => isNullable(item)))
            return true;
    }
    return false;
}
